%define devname %mklibname -d %{name}
%define libname %mklibname %{name}

Name:		dmalloc
Version:	5.5.2
Release:	%mkrel 2
Summary:	Debugging MALLOC
License:	BSD style
URL:		http://dmalloc.com/
Group:		Development/Other
Source:		http://dmalloc.com/releases/%{name}-%{version}.tar.xz
Obsoletes:	%{devname} < %{version}
Provides:	%{devname} = %version-%release
Provides:	libdmalloc-devel = %{version}-%{release}
Provides:	dmalloc-devel = %{version}-%{release}
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The debug memory allocation or "dmalloc" library has been designed
as a drop in replacement for the system's `malloc', `realloc',
`calloc', `free' and other memory management routines while providing
powerful debugging facilities configurable at run-time.  These
facilities include such things as memory-leak tracking, fence-post write
detection, file/line number reporting, and general logging of
statistics.


%prep
%setup -q
chmod -R o+rX .

%build
export CFLAGS=`echo %optflags | sed 's/-O2/-O0/'`

# testing program will segfault when building with -fPIC flag, so
# don't build shared library at all. Anyway this is for developers,
# so building static library is enough.
%configure2_5x --enable-threads

# test this puppy
# Segfaults with 'make heavy'
#make heavy
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%files
%defattr(-,root,root)
%doc ChangeLog.1 INSTALL NEWS README RELEASE.html docs/NOTES docs/TODO docs/*.html
%{_bindir}/*
%{_includedir}/*
%{_libdir}/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Nov 01 2013 billybot <billybot> 5.5.2-2pclos2013
- convert source to tar.xz
- merge into single package

* Tue Oct 29 2013 pinoc <vogtpet at gmail.com> 5.5.2-1pclos2013
- imported package